# ViewList (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.explore

## Class ViewList

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace
  - - org.deidentifier.arx.gui.view.impl.explore.ViewList

- All Implemented Interfaces:
    IView

      public class ViewList
      extends ViewSolutionSpace

  This class implements a list view on selected nodes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewList(org.eclipse.swt.widgets.Composite parent, Controller controller)` Contructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `actionRedraw()` gray.dispose(); Action to redraw
    `void` | `dispose()` Disposes the view.
    `protected void` | `eventFilterChanged(ARXResult result, ModelNodeFilter filter)` Event: filter changed
    `protected void` | `eventModelChanged()` Event: model changed
    `protected void` | `eventNodeSelected()` Event: node selected
    `protected void` | `eventResultChanged(ARXResult result)` Event: result changed
    `void` | `reset()` Resets the view.

    - ### Methods inherited from class org.deidentifier.arx.gui.view.impl.explore.ViewSolutionSpace

      `actionSelectNode, actionShowMenu, asRelativeValue, asRelativeValue, getController, getInnerColor, getModel, getOuterColor, getOuterStrokeWidth, getPrimaryComposite, getSelectedNode, getTooltipDecorator, getUtilityColor, showPrimaryComposite, showSecondaryComposite, trimLabel, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ViewList

          public ViewList(org.eclipse.swt.widgets.Composite parent,
                  Controller controller)

      Contructor
      Parameters:
        `parent` -
        `controller` -

  - ### Method Detail

    - #### dispose

          public void dispose()

      Description copied from interface: `IView`
      Disposes the view.
      Specified by:
        `dispose` in interface `IView`
      Overrides:
        `dispose` in class `ViewSolutionSpace`

    - #### reset

          public void reset()

      Resets the view.
      Specified by:
        `reset` in interface `IView`
      Overrides:
        `reset` in class `ViewSolutionSpace`

    - #### actionRedraw

          protected void actionRedraw()

      Description copied from class: `ViewSolutionSpace`
      gray.dispose(); Action to redraw
      Specified by:
        `actionRedraw` in class `ViewSolutionSpace`

    - #### eventFilterChanged

          protected void eventFilterChanged(ARXResult result,
                                ModelNodeFilter filter)

      Description copied from class: `ViewSolutionSpace`
      Event: filter changed
      Specified by:
        `eventFilterChanged` in class `ViewSolutionSpace`

    - #### eventModelChanged

          protected void eventModelChanged()

      Description copied from class: `ViewSolutionSpace`
      Event: model changed
      Specified by:
        `eventModelChanged` in class `ViewSolutionSpace`

    - #### eventNodeSelected

          protected void eventNodeSelected()

      Description copied from class: `ViewSolutionSpace`
      Event: node selected
      Specified by:
        `eventNodeSelected` in class `ViewSolutionSpace`

    - #### eventResultChanged

          protected void eventResultChanged(ARXResult result)

      Description copied from class: `ViewSolutionSpace`
      Event: result changed
      Specified by:
        `eventResultChanged` in class `ViewSolutionSpace`